TIP: locale

手动更新glibc后,系统语言环境异常

  • 458

因为程序需要glibc-2.14,但是centOS6.5系统只有2.12的rpm包。去官网下了个glibc-2.14的tar包,并且建立软连接后,程序可以正常运行,但是不能设置语言了。每次进入终端都提示cannot change locale(zh_cn.utf-8):no such file or directory